import 'package:flutter/widgets.dart';
import 'package:power_widget/serializable/WidgetSerializableModel.dart';
import 'package:power_widget/widgets/PowerCardView.dart';
import 'package:power_widget/widgets/stateful/ModularizedStatefulWidget.dart';

abstract class PowerStatefulCardView extends ModularizedStatefulWidget with PowerCardView {


  @override
  State<StatefulWidget> createState() {
    // TODO: implement createState
    return PowerStatefulCardViewState(getSize(), provideCardViewPainter(), provideChildrenStack());
  }

  @override
  WidgetSerializableModel getWidgetSerializableModel() {
    // TODO: implement getWidgetSerializableModel
    return null;
  }


}

class PowerStatefulCardViewState extends State<PowerStatefulCardView> {
  final CustomPainter customPainter;
  final Stack childrenStack;
  final Size size;

  PowerStatefulCardViewState(this.size, this.customPainter, this.childrenStack);

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return Center(
      child: CustomPaint(
        child: this.childrenStack,
        size: size,
        painter: this.customPainter,
      ),
    );
  }
}
